@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');

body {
  margin: 0;
  padding: 0;
  position: relative;
  text-align: center;
  font-family:'Press Start 2P', cursive;
  user-select: none;
  color: white;
  background-color: #4682B4;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 90vh;
}

header {
  margin: 0;
  position: relative;
  width: 80%;
}

h1 {
  padding: 1.2rem 0;
  margin: 0;
}
.score-container {
  display: flex;
  align-items: center;
  justify-content: space-around;
  padding: 32px 16px;
  background: #000000;
  border-radius: 0.4em 0.4em 0% 0%;
  overflow: hidden;
}

.healthbar{
  height: 24px;
  width: 300px;
  background-color: white;
  z-index: 2;
  padding: 0;
  border-radius: 1em;
  overflow: hidden;
}

#currentLife{
  background-color: red;
  z-index: 3;
  padding: 0;
  height: 100%;
  width: 100%;
}

.container {
  position: relative;
  padding: 0 10px 10px 10px;
  background-color: black;
}

canvas{
  width: 100%;
  z-index: 0;
  border-radius: 10px 100px / 120px;
}

.form { 
  position:absolute; 
  top : 60px;
  left: 50%;
  transform: translateX(-50%);
  
}

input {
  font-size:18px;
  font-weight: 600;
  color: white;
  padding:10px 10px 10px 5px;
  display:block;
  width:300px;
  border:none;
  border-bottom:1px solid white;
  background-color: transparent;
  

}

input:focus { 
  outline:none; 
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(5px);
}

label {
  color: white; 
  font-size:18px;
  font-weight:normal;
  position:absolute;
  pointer-events:none;
  left:5px;
  top:10px;
  transition:0.2s ease all; 
  -moz-transition:0.2s ease all; 
  -webkit-transition:0.2s ease all;
}

input:focus ~ label, input:valid ~ label {
  top:-20px;
  font-size:14px;
  color:#4682B4;
}

.bar 	{ 
  position:relative; 
  display:block; 
  width:300px; 
}

.bar::before, .bar::after { 
  content:'';
  height:3px; 
  width:0;
  bottom:1px; 
  position:absolute;
  background:#4682B4;
  transition:0.2s ease all; 
  -moz-transition:0.2s ease all; 
  -webkit-transition:0.2s ease all;
}

.bar::before {
  left:50%;
}

.bar::after {
  right:50%; 
}

input:focus ~ .bar::before, input:focus ~ .bar::after {
  width:50%;
}

.error {
  color: red;
  font-size: 10px;
  margin-top: 10px;
}

.record a { 
  position:absolute; 
  top : 65%;
  left: 50%;
  transform: translateX(-50%);
  text-decoration: none;
  color: white;
  font-size:18px;
  padding:10px 10px 10px 5px;
  width:130px;
  border-bottom:1px solid white;
}

.record-list-active {
  position:absolute; 
  text-align: justify;
  justify-content: space-around;
  top: 46%;
  left: 0%;
  transform: translateX(-50%);
  transform: translateY(-50%);
  color: white;
  font-size:12px;
  width:300px;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(5px);
  border-radius: 10px;
  transition: all ease .1s;
  
}

.game-launch {
  position:absolute; 
  top : 85%;
  left: 50%;
  transform: translateX(-50%);
  color: white;
  font-size: 20px;
}

.bonus {
  position:absolute; 
  top : 90%;
  left: 50%;
  transform: translateX(-50%);
  color: #2E8B57;
  font-size: 20px;
}

img {
  position: absolute;
  top: -150px;
  right: -50px;
  z-index: 2;
}

.bag-bonus {
  position: absolute;
  bottom: -15px;
  right: 43px;
}


.bag-fond{
  height: 100px;
  width: 120px;
  background-color: rgb(109, 81, 45);
  border-radius: 50%;
  position: absolute;
  bottom: 20px;
  left: -84px;
  overflow: hidden;
}

.remplissage{
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
}

.full-bag{
  position: absolute;
  text-align: center;
  left: 50%;
  transform: translateX(-50%);
  color: white;
  bottom: 70px;
  z-index: 2;
  font-size: 20px;
  line-height: 32px;
}
